BizKitHub
DocsAPI ReferenceExpense/bff/expense/list
getExpenseAdmin BFF

/bff/expense/list

Returns the expense ledger of the logged-in organisation with optional filters. total is the signed sum of all non-deleted, non-rejected rows whose totalMoney is set; rejected and soft-deleted entries are still returned for the UI but excluded from the sum.

ExpensegetBffExpenseList

Parameters

9 query

Query parameters

· 9
accountingEntityExternalIdstringOptional
Length: 2424
Exampleexample_accountingEntityExternalId
branchSlugstringOptional
Exampleexample_branchSlug
category"fees" | "shipping" | "marketing" | "payroll" | "utilities" | "supplies" | "services" | "sw" | "storage" | "tax" | "insurance" | "travel" | "writeoff" | "refund" | "other"Optional
status"new" | "approved" | "in_progress" | "review" | "done" | "rejected" | "draft" | "pending"Optional
source"manual" | "writeoff" | "writeoff_legacy" | "contact_credit" | "payment_gateway_fee" | "refund" | "shipping_cost" | "subscription_fee" | "storage" | "sms" | "email" | "bank_transaction" | "cron" | "api"Optional
fromstringOptional

YYYY-MM-DD inclusive lower bound on effective_date.

Exampleexample_from
tostringOptional

YYYY-MM-DD inclusive upper bound on effective_date.

Exampleexample_to
includeDeletedbooleanOptional
Examplefalse
limitstring | integerOptional
Range: 12000

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

GET /bff/expense/list

get
curl -X GET "https://api.bizkithub.com/bff/expense/list?accountingEntityExternalId=example_accountingEntityExternalId&branchSlug=example_branchSlug&from=example_from&to=example_to&includeDeleted=false" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key